# Class HyperlinkEvent.EventType

java.lang.Object
javax.swing.event.HyperlinkEvent.EventType

Enclosing class:
  `HyperlinkEvent`

public static final class HyperlinkEvent.EventType extends Object
Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HyperlinkEvent.EventType`
`ACTIVATED`
Activated type.
`static final HyperlinkEvent.EventType`
`ENTERED`
Entered type.
`static final HyperlinkEvent.EventType`
`EXITED`
Exited type.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Converts the type to a string.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ENTERED

public static final HyperlinkEvent.EventType ENTERED
Entered type.

### EXITED

public static final HyperlinkEvent.EventType EXITED
Exited type.

### ACTIVATED

public static final HyperlinkEvent.EventType ACTIVATED
Activated type.

## Method Details

### toString

public String toString()
Converts the type to a string.

Overrides:
  `toString` in class `Object`
Returns:
  the string